Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Issues with Shape Linux

Having a few issues with a recent install of Shape on Linux. I installed it but it seems whenever it tries to open a dialog it is crashing, I am wondering if I am missing a library required, for instance I had to install libGLU (libglu1-mesa) as it was not pulled in as a dependency on installing the deb file. I am wondering if there might be another missing. I have attached a console log below from me opening a file through the console (As the file open dialog causes the crash for me) and messing with it, trying to get a few dimensions (There seem to be graphical issues here that may or may not be related, as it didn't snap at all apparently, and the angle and measurement popups were overtop of each other so I couldn't read the measurement) etc. Then I did something to open a dialog, I can't remember exactly what and it rached with the undefined messages listed. Not a huge amount of help due to lack of debugger running I know, but maybe will strike something?

vecchionet@penguin:~$ /opt/bricsys/shape/v18/shape.sh Boulevard\ United\ Methodist\ Church.dwg
FLYSDKFONTS environment variable could not be correctly defined. #3

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_get_pango_context: assertion 'GTK_IS_WIDGET (widget)' failed

(shape:6446): Gdk-CRITICAL **: _gdk_pixmap_new: assertion '(width != 0) && (height != 0)' failed

(shape:6446): Gdk-CRITICAL **: _gdk_pixmap_new: assertion '(width != 0) && (height != 0)' failed

(shape:6446): Gdk-CRITICAL **: IA__gdk_drawable_get_size: assertion 'GDK_IS_DRAWABLE (drawable)' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed

(shape:6446): Gtk-CRITICAL **: IA__gtk_widget_set_size_request: assertion 'width >= -1' failed
** Message: console message: undefined @0:

** Message: console message: undefined @0:

Segmentation fault

Comments

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam